Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[DUP] [PORTAGE,KDE] Alte KDE Version löschen
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
ZX-81
Guru
Guru


Joined: 23 Jul 2003
Posts: 355
Location: Germany

PostPosted: Thu Oct 28, 2004 7:11 pm    Post subject: [DUP] [PORTAGE,KDE] Alte KDE Version löschen Reply with quote

Ich habe vor kurzem entdeckt, daß auf meinen Gentoo-Installationen nach einem Update die alte KDE-Version nicht gelöscht wird. Das liegt daran, daß die KDE-Hauptversionen in unterschiedlichen Slots liegen, und ist wahrscheinlich dafür verantwortlich, daß bei Gentoo der KDE-Update so reibungslos funktioniert.

Leider ist das Ganze jetzt etwas fett geworden:
Code:

# du  /usr/kde --max-depth 1
242090  /usr/kde/3.1
333207  /usr/kde/3.2
382080  /usr/kde/3.3
957376  /usr/kde


Die Vorschläge im Forum die alten Versionen loszuwerden haben bei mir entweder nicht funktioniert (depclean, usw) oder sie waren mir zu mühevoll und unsystematisch.

Ich werde es jetzt mit diesem soeben zusammengezimmerten Script versuchen:

Code:
emerge -Ca $(for x in /var/db/pkg/kde-base/* ; do if [ 3.1 == $(cat $x/SLOT) ]; then echo $x; fi done)


Das Script sucht sich aus der Datenbank alle installierten Pakete der Kategorie kde-base, welche einem bestimmten Slot zugeordnet (hier 3.1) sind und lässt sie von Portage entfernen.

Wahrscheinlich müssen danach noch einige Pakete die von den alten jetzt entfernten KDE Versionen abhängig waren, neu compiliert werden. Wenn ich es richtig verstanden habe, sollte das revdep-rebuild erledigen.
Back to top
View user's profile Send private message
Ragin
l33t
l33t


Joined: 14 Apr 2003
Posts: 776
Location: Stuttgart

PostPosted: Fri Oct 29, 2004 6:08 pm    Post subject: Reply with quote

Deinstalliere einfach die Pakete die du nicht mehr brauchst oder suche im Forum nach entsprechenden Beiträgen. Es gibt genug von solchen Diskussionen.

Hier findest du evtl. auch ein Script, dass das macht:
http://forums.gentoo.org/viewtopic.php?t=67849

per Hand:
Code:

emerge -pP

damit siehst du welche Pakete "doppelt" installiert sind. Allerdings werden einige wirklich doppelt aus Kompatibilitätsgründen benötigt werden. Wenn du sie löschst ist es zwar halb so wild (emerge -uD world bereinigt das wieder), aber trotzdem ärgerlich.
Pakete entfernen kannst du mit:
Code:

emerge -C kdebase-3.2.0

als Beispiel für kdebase-3.2.0. Natürlich kannst du mehere Pakete hintereinander angeben, diese werden dann mit einem Leerzeichen getrennt.
_________________
"Innerhalb der Computergemeinschaft lebt man nach der Grundregel, die Gegenwart sei ein Programmfehler, der in der nächsten Ausgabe behoben sein wird."

Clifford Stoll, amerik. Astrophysiker u. Computer- Pionier
Back to top
View user's profile Send private message
slick
Bodhisattva
Bodhisattva


Joined: 20 Apr 2003
Posts: 3470

PostPosted: Mon Jul 04, 2005 12:35 pm    Post subject: Reply with quote

Eigentlich ist zwar dies hier der ursprüngliche, ältere Thread, aber aus Aktualitäts- und Vollständigkeitsgründen diesen hier als DUP von http://forums.gentoo.org/viewtopic-t-355688.html geschlossen.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum